<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             xmlns:misc="http://java.sun.com/jsf/composite/misc"
             id="nuevaJustificacionPanelGrid" width="100%">

    <p:messages id="nuevaJustificacionMsg" />

    <p:dataTable var="personaPredio" id="propietariosNuevosTable"
                 selection="#{justificacionProyeccion.propietariosNuevosSeleccionados}"
                 rowKey="#{personaPredio.id}" emptyMessage="No existen propietarios ni poseedores nuevos"
                 value="#{justificacionProyeccion.propietariosNuevos}">

        <f:facet name="header">Propietarios y/o poseedores nuevos</f:facet>

        <p:column selectionMode="multiple" disabledSelection="#{(proyectarConservacion.tramite.esComplementacion or proyectarConservacion.tramite.esRectificacion)}" />

        <p:column>
            <f:facet name="header">
                <h:outputText value="Tipo id." title="Tipo de identificación" />
            </f:facet>
            <h:outputText value="#{personaPredio.PPersona.tipoIdentificacion}" />
        </p:column>

        <p:column>
            <f:facet name="header">No. identificación</f:facet>
            <h:outputText value="#{personaPredio.PPersona.numeroIdentificacion}" />
        </p:column>

        <p:column>
            <f:facet name="header">
                <h:outputText value="D.V." title="Dígito de verificación" />
            </f:facet>
            <h:outputText value="#{personaPredio.PPersona.digitoVerificacion}" />
        </p:column>

        <p:column>
            <f:facet name="header">Nombre o razón social</f:facet>
            <h:outputText value="#{personaPredio.PPersona.nombre}" />
        </p:column>

    </p:dataTable>

    <p:spacer width="0" height="5" />

    <p:panel header="Detalle adquisición">
        <h:panelGrid columns="4" width="100%">

            <h:outputLabel value="Modo adquisición: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="modoAdquisicion" label="Modo adquisición" disabled="#{rc.dhModoAdquisicion}"
                             value="#{justificacionProyeccion.justificacionSeleccionada.modoAdquisicion}">
                <f:selectItems value="#{general.derechoPropiedadModoAdqVCV}" />
                <p:ajax update="valorCompra" process="@this" event="change"></p:ajax>
            </h:selectOneMenu>

            <h:outputLabel value="Valor compra: " styleClass="outputLabelStyle" />
            <h:inputText
                value="#{justificacionProyeccion.justificacionSeleccionada.valor}"
                id="valorCompra" label="Valor Compra" size="18" disabled="#{rc.dhValorCompra}" >
                <f:convertNumber></f:convertNumber>
            </h:inputText>

        </h:panelGrid>
    </p:panel>

    <p:spacer width="0" height="5" />

    <p:panel header="Detalle del título">
        <h:panelGrid columns="4" width="100%">

            <h:panelGrid columns="2"> 
                <h:outputLabel value="Tipo título:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:selectOneMenu id="tipoTitulo" label="Tipo título" required="true" disabled="#{rc.dhTipoTitulo}"
                             value="#{justificacionProyeccion.justificacionSeleccionada.tipoTitulo}">
                <f:selectItems value="#{justificacionProyeccion.tiposDerechoPropiedad}" />
                <p:ajax event="change" listener="#{justificacionProyeccion.actualizarEntidad}" update="nuevaJustificacionPanelGrid"/>
            </h:selectOneMenu>

            <h:panelGrid id="entidadLbl" columns="2" rendered="#{!justificacionProyeccion.banderaCartaVenta}"> 
                <h:outputLabel value="Entidad emisora:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:inputText
                rendered="#{!justificacionProyeccion.banderaCartaVenta}"
                value="#{justificacionProyeccion.justificacionSeleccionada.entidadEmisora}"
                id="entidadEmisora" label="Entidad emisora" required="true" disabled="#{rc.dhEntidadEmisora}"/>

            <h:panelGrid columns="2"> 
                <h:outputLabel value="Departamento:" for="departamentoCB" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <ui:remove>
                <!-- TODO fredy.wilches::2012-03-05::elimino de update de dpto y municipio circuloRegistralComponent:circuloRegistral porque dicho componente esta entre un remove::fredy.wilches -->
            </ui:remove>
            <misc:geographicSelectOneMenu geoLabel="Departamento" disabled="#{rc.dhDepartamentoTitulo}"
                                          geoId="departamento" geoComboId="departamentoCB"
                                          selectedGeoProperty="#{justificacionProyeccion.selectedDepartamento}"
                                          geoComboData="#{justificacionProyeccion.departamentoSelectItems}"
                                          dependentChangeGeoUpdate=":nuevaJustificacionDP:municipioComponent:municipio"
                                          orderByName="#{justificacionProyeccion.ordenDepartamentosNombre}"
                                          onChangeGeoCombo="#{justificacionProyeccion.onDepartamentoChange}"
                                          changeGeoComboOrder="#{justificacionProyeccion.cambiarOrdenDepartamentos}"
                                          required="true" />


            <h:panelGrid columns="2"> 
                <h:outputLabel value="Municipio:" for="municipioCB" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <misc:geographicSelectOneMenu geoLabel="Municipio" disabled="#{rc.dhMunicipioTitulo}"
                                          id="municipioComponent" geoId="municipio" geoComboId="municipioCB"
                                          selectedGeoProperty="#{justificacionProyeccion.selectedMunicipio}"
                                          geoComboData="#{justificacionProyeccion.municipioSelectItems}"
                                          dependentChangeGeoUpdate=":nuevaJustificacionDP:comodin"
                                          orderByName="#{justificacionProyeccion.ordenMunicipiosNombre}"
                                          onChangeGeoCombo="#{justificacionProyeccion.onMunicipioChange}"
                                          changeGeoComboOrder="#{justificacionProyeccion.cambiarOrdenMunicipios}"
                                          required="true" />


            <h:panelGrid columns="2" 
                         rendered="#{!justificacionProyeccion.banderaCartaVenta}"> 
                <h:outputLabel value="Número título:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:inputText
                rendered="#{!justificacionProyeccion.banderaCartaVenta}" maxlength="20" 
                value="#{justificacionProyeccion.justificacionSeleccionada.numeroTitulo}"
                disabled="#{rc.dhNumeroTitulo}"
                id="numeroTituloNuevaJustificacion" label="Número título" required="true"/>

            <h:panelGrid columns="2"> 
                <h:outputLabel value="Fecha título:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:panelGrid columns="2"> 
                <p:calendar id="fechaTituloNuevaJustificacion" showOn="button" required="true" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaTituloWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha título"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            disabled="#{rc.dhFechaTitulo}" readOnlyInputText="true"
                            value="#{justificacionProyeccion.justificacionSeleccionada.fechaTitulo}" />
                <p:commandButton  disabled="#{rc.dhFechaTitulo}" icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaTituloWV.setDate(null)"/>
            </h:panelGrid> 

        </h:panelGrid>
    </p:panel>
    <h:inputHidden id="comodin" ></h:inputHidden>
    <ui:remove>
        <p:panel header="Detalle registro">
            <h:panelGrid columns="2">
                <h:selectBooleanCheckbox
                    value="#{justificacionProyeccion.registroMatriculaAntigua}">
                    <p:ajax process="@this"
                            update="labelFieldset, registroMatriculaPanel" />
                </h:selectBooleanCheckbox>

                <h:outputLabel value="Registro de matrícula antigua:"
                               styleClass="outputLabelStyle" />
            </h:panelGrid>

            <fieldset>
                <legend>
                    <h:outputLabel id="labelFieldset"
                                   value="#{justificacionProyeccion.labelRegistroMatricula}"
                                   styleClass="outputLabelStyle" />
                </legend>
                <p:panel style="border: 0px;" id="registroMatriculaPanel">
                    <h:panelGrid id="registroMatriculaAntigua" columns="2"
                                 rendered="#{!justificacionProyeccion.registroMatriculaAntigua}">
                        <h:outputLabel value="Círculo registral:"
                                       styleClass="outputLabelStyle" />
                        <misc:geographicSelectOneMenu geoLabel="Círculo registral"
                                                      id="circuloRegistralComponent" geoId="circuloRegistral"
                                                      geoComboId="circuloRegistralCB"
                                                      selectedGeoProperty="#{justificacionProyeccion.selectedCirculoRegistral}"
                                                      geoComboData="#{justificacionProyeccion.circuloRegistralSelectItems}"
                                                      dependentChangeGeoUpdate="circuloRegistral"
                                                      orderByName="#{justificacionProyeccion.ordenCirculosRegistralesNombre}"
                                                      onChangeGeoCombo="#{justificacionProyeccion.onCirculoRegistralChange}"
                                                      changeGeoComboOrder="#{justificacionProyeccion.cambiarOrdenCirculosRegistrales}" />

                    </h:panelGrid>

                    <h:panelGrid id="registroMatriculaNueva" columns="4"
                                 rendered="#{justificacionProyeccion.registroMatriculaAntigua}">
                        <h:outputLabel value="Oficina:"
                                       title="(Cambiar el valor al que se asigna y preguntar a clara)"
                                       styleClass="outputLabelStyle" />
                        <h:inputText
                            title="(Cambiar el valor al que se asigna y preguntar a clara)"
                            value="#{justificacionProyeccion.justificacionSeleccionada.modoAdquisicion}"
                            id="oficina" label="Oficina" />

                        <h:outputLabel value="Libro:" styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{justificacionProyeccion.justificacionSeleccionada.libro}"
                            id="libro" label="Libro" />

                        <h:outputLabel value="Tomo:" styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{justificacionProyeccion.justificacionSeleccionada.tomo}"
                            id="tomo" label="Tomo" />

                        <h:outputLabel value="Página:" styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{justificacionProyeccion.justificacionSeleccionada.pagina}"
                            id="pagina" label="Página" />


                    </h:panelGrid>
                </p:panel>

                <h:panelGrid columns="2">
                    <h:outputLabel value="No. registro:" styleClass="outputLabelStyle" />
                    <h:inputText
                        value="#{justificacionProyeccion.justificacionSeleccionada.numeroRegistro}"
                        id="numeroRegistro" label="No. registro" />
                </h:panelGrid>
            </fieldset>

            <p:outputPanel layout="block" style="text-align:right">
                <h:outputLabel value="Fecha registro:" styleClass="outputLabelStyle" />
                <p:calendar id="fechaRegistroJustificacion" showOn="button" 
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            locale="es_CO" navigator="true" title="#{general.formatoFechaUsuario}"
                            value="#{justificacionProyeccion.justificacionSeleccionada.fechaRegistro}" />
            </p:outputPanel>

        </p:panel>
    </ui:remove>
    <h:panelGrid columns="2">
        <h:outputLabel value="Fecha registro:" styleClass="outputLabelStyle"
                       rendered="#{!justificacionProyeccion.banderaCartaVenta}"/>
        <h:panelGrid columns="2">
            <p:calendar id="fechaRegistroJustificacion" showOn="button" title="#{general.formatoFechaUsuario}"
                        locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" readOnlyInputText="true"
                        widgetVar="fechaRegistroWV"
                        pattern="#{general.formatoFechaComponenteCalendar}"
                        disabled="#{rc.dhFechaRegsitro}"
                        value="#{justificacionProyeccion.justificacionSeleccionada.fechaRegistro}"
                        rendered="#{!justificacionProyeccion.banderaCartaVenta}"/>
            <p:commandButton rendered="#{!justificacionProyeccion.banderaCartaVenta}"
                             disabled="#{rc.dhFechaRegsitro}" icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaRegistroWV.setDate(null)"/>
        </h:panelGrid>

        <h:outputLabel value="Documento:" styleClass="outputLabelStyle" rendered="#{!justificacionProyeccion.banderaCartaVenta}"/>
        <p:commandLink id="documentoLnk" oncomplete="docViewerWV.show();statusDialog2.hide()"
                       onstart="statusDialog2.show()" update=":docViewer:docViewerCCForm">
            <h:outputText styleClass="commandLinkStyle"
                          value="#{justificacionProyeccion.justificacionSeleccionada.documentoSoporte.tipoDocumento.nombre}" />
            <f:setPropertyActionListener
                target="#{previsualizacionDocumento.documentoAlfresco}"
                value="#{justificacionProyeccion.justificacionSeleccionada.documentoSoporte}" />

        </p:commandLink>
        <h:selectBooleanCheckbox value="#{justificacionProyeccion.copiarJustificacionAtodos}" 
                                 rendered="#{justificacionProyeccion.tramite.segundaDesenglobe
                                             or (justificacionProyeccion.tramite.quintaMasivo and not justificacionProyeccion.predioSeleccionado.predioOriginalTramite)
                                             or justificacionProyeccion.habilitaCopiaJustificacion}">
            Copiar esta justificación a los demás predios y a todos los propietarios
        </h:selectBooleanCheckbox>

    </h:panelGrid>

    <p:spacer width="0" height="5" />

    <p:outputPanel>
        <p:commandButton value="Asociar documento" title="Asociar documento"
                         action="#{justificacionProyeccion.asociarNuevoDocumento}"
                         rendered="#{!proyectarConservacion.tramite.esComplementacion
                                     and !proyectarConservacion.tramite.esRectificacion}"
                         disabled="#{proyectarConservacion.tramite.cancelacionMasiva 
                                     and proyectarConservacion.predioSeleccionado.predioOriginalTramite}"
                         oncomplete="documentosAsociadosTramiteWV.show();" 
                         update=":documentosAsociadosTramiteID, nuevaJustificacionMsg"
                         process="@this, propietariosNuevosTable" icon="ui-icon-document" />
        <p:spacer height="0" width="10" />
        <p:commandButton value="Aceptar" title="Aceptar"
                         action="#{justificacionProyeccion.guardarDatosJustificacion}"
                         update="nuevaJustificacionMsg, :tabView1:gestionarJustificacionForm"
                         oncomplete="handleCompleteSIC(xhr, status,args, nuevaJustificacionWV, false);"
                         icon="ui-icon-disk" />
    </p:outputPanel>
</h:panelGrid>